Kerbal Space Program - Bug #433

IVA navball icons don't disappear when landing
03/17/2013 09:58 PM - NovasSilisko

Status: Closed Start date: 03/17/2013
Severity: Very Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.19 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

What happens: The IVA navball's icons jitter around when you're landed.
How to reproduce: Go into any landed vessel with an IVA space, look at the navball.
Expected: The navball icons are disabled when a vessel is landed.

Notes: The GUI navball has a specific few lines of code which hide the icons when a vessel's not moving. Should just be a matter of
recreating the same method in the IVA navball.

History

#1 - 03/24/2013 01:32 PM - Anonymous
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirming, .19.1, clean install, Windows x64.

#2 - 10/30/2013 07:15 AM - sr
- Platform Any added

#3 - 07/17/2016 09:23 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#4 - 07/17/2016 06:25 PM - Claw
- Status changed from Needs Clarification to Confirmed

- % Done changed from 0 to 10

Still occurring, 1.1.X.

#6 - 11/09/2016 11:49 AM - sal_vager

- File screenshot35.png added

- File screenshot36.png added

- File screenshot37.png added

- File screenshot38.png added

- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

This appears to be fixed in 1.2.1, the navball icons are not present when landed in surface mode, and are not jittering in orbit mode.

#7 - 11/11/2016 10:12 AM - JPLRepo

04/09/2024 12




- Status changed from Resolved to Closed
